//---Bollinger Bands Target
#property version     "1.0"
//---Expert Proprities
extern string     Bolliner_Parameters = "---------------------------------------------";
extern int        BBandTime           =20;
extern double     BBandDeviation      =2;
extern string     Common_Settings     = "---------------------------------------------";
extern double     FirstLot            = 0.01;
extern int        UserSlippage        =20;
extern int        MagicNumber         =20150608;
extern string     UserComment         ="BBT";
//---initialize global variables
datetime cur_open=0;
int ticket,i,cc,t1,t2;
double lots,enl,ens,tpl,tps,spl,sps;
bool result;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   Comment(" Parameters: \n Magic: ",MagicNumber);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
//---
lots  = FirstLot;                     //---Lot Size
enl   = MarketInfo(Symbol(),MODE_ASK);//---Enter Long price
ens   = MarketInfo(Symbol(),MODE_BID);//---Enter Short price
tpl   = UpperBBand(1);  //---Take profit for long trades
tps   = LowerBBand(1);  //---Take profit for short trades
spl   = LowerBBand(1);  //---Stop Loss for long trades
sps   = UpperBBand(1);  //---Stop Loss for short trades
//---
//---Open BUY Orders for 1st time
if(Time[0]!=cur_open)
if(Close[1] < UpperBBand(1) && Close[1] > CenterBBand(1))
{
 ticket=-1;
      while(ticket<0)
      {
      ticket = OrderSend(Symbol(),OP_BUY , lots, enl, UserSlippage,spl,tpl, UserComment, MagicNumber, 0, clrGreen);
      if(ticket<0) Sleep(500);
      else cur_open=Time[0];
      }
}

//---Open SELL Orders for 1st time
if(Time[0]!=cur_open)
if(Close[1] > LowerBBand(1) && Close[1] < CenterBBand(1))
{
 ticket=-1;
      while(ticket<0)
      {
      ticket = OrderSend(Symbol(),OP_SELL , lots, ens, UserSlippage,sps,tps, UserComment, MagicNumber, 0, clrRed);
      if(ticket<0) Sleep(500);
      else cur_open=Time[0];
      }
}

//---
 return(0);
}

//+------------------------------------------------------------------+
//| Functions                                                        |
//+------------------------------------------------------------------+

//================================
//---Technical Analysis Functions |
//================================

//--- Upper Bollinger Bands Function

double UpperBBand(int ii)
{
   return(iBands(Symbol(),Period(),BBandTime,BBandDeviation,0,PRICE_CLOSE,MODE_UPPER,ii));
}

//--- Lower Bollinger Bands ENTER Function

double LowerBBand(int ii)
{
   return(iBands(Symbol(),Period(),BBandTime,BBandDeviation,0,PRICE_CLOSE,MODE_LOWER,ii));
}

//--- Lower Bollinger Bands ENTER Function

double CenterBBand(int ii)
{
   return(iBands(Symbol(),Period(),BBandTime,BBandDeviation,0,PRICE_CLOSE,MODE_MAIN,ii));
}